using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IServiceLogic
	{
		List<ServiceViewModel>? ReadList(ServiceSearchModel? model);
		ServiceViewModel? ReadElement(ServiceSearchModel model);
		bool Create(ServiceBindingModel model);
		bool Update(ServiceBindingModel model);
		bool Delete(ServiceBindingModel model);
	}
}
